summaryrefslogtreecommitdiff
path: root/run-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'run-tests.sh')
-rwxr-xr-xrun-tests.sh14
1 files changed, 11 insertions, 3 deletions
diff --git a/run-tests.sh b/run-tests.sh
index 3c92dae0..e08dc86d 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -1,8 +1,9 @@
#!/bin/bash
#
-# Runs our test suite, which builds a DCP.
-# The output is compared against the one
+# Runs our test suite, which (amongst other things)
+# builds a couple of DCPs.
+# The outputs are compared against the ones
# in test/ref/DCP, and an error is given
# if anything is different.
#
@@ -13,7 +14,14 @@ if [ "$1" == "--debug" ]; then
else
LD_LIBRARY_PATH=build/src:build/asdcplib/src build/test/tests
fi
-diff -ur test/ref/DCP build/test/foo
+
+diff -ur test/ref/DCP/foo build/test/foo
+if [ "$?" != "0" ]; then
+ echo "FAIL: files differ"
+ exit 1
+fi
+
+diff -ur test/ref/DCP/bar build/test/bar
if [ "$?" != "0" ]; then
echo "FAIL: files differ"
exit 1